# <img src="https://www.koozali.org/images/koozali/Logo/Png/Koozali_logo_2016.png" width="25%" vertical="auto" style="vertical-align:bottom"> perl-Data-OptList

SMEServer Koozali local git repo for perl-Data-OptList  

## Documentation
<br />https://metacpan.org/pod/perl-Data-OptList

## Bugzilla
CPAN bug report are [here](https://rt.cpan.org/Public/Dist/Display.html?Name=perl-Data-OptList)

Show list of Koozali outstanding bugs: [here](https://bugs.koozali.org/buglist.cgi?component=perl-Data-OptList&product=SME%20Server%2011.X&query_format=advanced&limit=0&bug_status=UNCONFIRMED&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&bug_status=CONFIRMED)

## Description

Hashes are great for storing named data, but if you want more than one entry
for a name, you have to use a list of pairs. Even then, this is really boring to write:

$values = [
    foo => undef,
    bar => undef,
    baz => undef,
    xyz => { ... },
];

With Data::OptList, you can do this instead:

$values = Data::OptList::mkopt([
    qw(foo bar baz),
    xyz => { ... },
]);

This works by assuming that any defined scalar is a name and any reference following a name is its value.


